> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Create an invitation

POST https://api.contentful.com/organizations/{organization_id}/invitations
Content-Type: application/json

Invites a user to the organization. Only admins and owners can send invitations; this endpoint is in alpha and may introduce breaking changes.

Reference: https://contentful.com/developers/docs/references/user-management-api/invitations/create-an-invitation

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `organization_id` (string, required) — The organization ID

### Body (application/json)

This endpoint expects a map from string to any.

- `map from string to any`

## Response

### 201

Created - Invitation created successfully

- `map from string to any`

## Examples

**Request**

```json
{
  "email": "user@example.com",
  "firstName": "John",
  "lastName": "Doe",
  "role": "member"
}
```

**Response**

```json
{
  "sys": {
    "createdAt": "2025-10-10T21:34:49.000Z",
    "createdBy": {
      "sys": {
        "id": "dsf4tgfd43gf4t3g4",
        "linkType": "User",
        "type": "Link"
      }
    },
    "id": "aasfdsgfesagrwg32ggs",
    "invitationUrl": "https://be.contentful.com/invitations/aasfdsgfesagrwg32ggs?token=xyzpdq",
    "organizationMembership": {
      "sys": {
        "id": "65jhgf45jrt8j945j89gt",
        "linkType": "OrganizationMembership",
        "type": "Link"
      }
    },
    "status": "open",
    "type": "Invitation",
    "updatedAt": "2025-10-10T21:34:49.000Z",
    "user": null
  }
}
```